#ifndef _DTUTYPE_HPP
#define _DTUTYPE_HPP

//
// Type factory functions for default data types
//

extern DTType * DTBoolType_MakeDTBool( const MMType * );
extern DTType * DTType_WFilePath_MakeDTWFilePath( const MMType * );
extern DTType * DTType_WObject__ptr__MakeDTWObject__ptr_( const MMType * );
extern DTType * DTType_WColor_MakeDTWColor( const MMType * );
extern DTType * DTType_WFont_MakeDTWFont( const MMType * );
extern DTType * DTType_WPoint_MakeDTWPoint( const MMType * );
extern DTType * DTType_WRect_MakeDTWRect( const MMType * );
extern DTType * DTType_Impl_String_MakeDTWString( const MMType * );
extern DTType * DTType_WSize_MakeDTWSize( const MMType * );
extern DTType * DTType_WRange_MakeDTWRange( const MMType * );
extern DTType * DTType_WInt_MakeDTWInt( const MMType * );
extern DTType * DTType_WUInt_MakeDTWUInt( const MMType * );
extern DTType * DTType_WShort_MakeDTWShort( const MMType * );
extern DTType * DTType_WUShort_MakeDTWUShort( const MMType * );
extern DTType * DTType_WLong_MakeDTWLong( const MMType * );
extern DTType * DTType_WULong_MakeDTWULong( const MMType * );
extern DTType * DTType_WChar_MakeDTWChar( const MMType * );
extern DTType * DTType_WUChar_MakeDTWUChar( const MMType * );

#endif // _DTUTYPE_HPP
