#ifndef _MMSTYLE_HPP
#define _MMSTYLE_HPP

#include "mmprop.hpp"

class SaveSource;
class SaveItem;

class METACLASSDEF MMStyle : public MMBaseProperty {
    public:
        MMStyle( const MMStyleData * data );
        MMStyle() {}

        virtual WStyle          GetStyle() const;
        virtual WStyle          GetMask() const;
        virtual WConstantString GetResString() const;
        virtual WBool           GetExtended() const;

        virtual WBool           GetPresent( const DTObject * obj ) const;
        virtual WBool           SetPresent( DTObject *, WBool ) const;
        virtual WBool           GetDefault( const DTObject * obj ) const;

        virtual WBool           Save( const DTObject *, SaveSource & save ) const;
        virtual WBool           Load( DTObject *, SaveItem * load ) const;
};

#endif // _MMSTYLE_HPP
