
#ifndef _WDECL_HPP_INCLUDED
#define _WDECL_HPP_INCLUDED
#pragma once

#ifndef _WNO_PRAGMA_PUSH
#pragma pack(push,8);
#pragma enum int;
#endif

#if defined( _WIN32 ) && !defined( WIN32 )
#define WIN32
#endif

#if defined( WIN32 ) && !defined( _WIN32 )
#define _WIN32
#endif

#ifndef _STDDEF_H_INCLUDED
#  include <stddef.h>
#endif

#define WDLLIMPORT __declspec(dllimport) __declspec(__stdcall)
#define WDLLEXPORT __declspec(dllexport) __declspec(__stdcall)

#pragma aux (__stdcall) __undecorated "*"
#define WDLLIMPORT2 __declspec(__pragma("__undecorated"))
#define WDLLIMPORT3 __declspec(dllimport) __declspec(__pragma("__undecorated"))

//
// Model/linking information
//

#define WCMDEF                   __stdcall
#pragma aux (WCMDEF) WCMRETURNFLOAT value struct float;
#define WCMRETURNSFLOAT __pragma("WCMRETURNFLOAT")

#define WCMDECLSPEC_IMPORT       //__declspec(dllimport)
#define WCMDECLSPEC_EXPORT       __declspec(dllexport)

#ifdef __BUILDING_WCM_DLL__
#define WCMDECLSPEC              WCMDECLSPEC_EXPORT
#else
#define WCMDECLSPEC              WCMDECLSPEC_IMPORT
#endif

#define WCMCLASS                 WCMDECLSPEC WCMDEF

#define _WEXPORT
#define WFAR

#define WCLASSDEF WCMDECLSPEC WCMDEF

#ifdef __BUILDING_WCM_DLL__
#define WEXPORT __export __stdcall
#else
#define WEXPORT __stdcall
#endif

typedef short           WShort;
typedef unsigned short  WUShort;
typedef int             WInt;
typedef unsigned int    WUInt;
typedef long            WLong;
typedef unsigned long   WULong;
typedef unsigned long   WDWord;
typedef bool            WBool;
typedef unsigned char   WByte;
typedef char            WChar;
typedef unsigned char   WUChar;
typedef double          WDouble;
typedef float           WFloat;

#if defined( TRUE )
#undef TRUE
#endif
#if defined( FALSE )
#undef FALSE
#endif
#define TRUE  (true)
#define FALSE (false)

#ifndef _WNO_PRAGMA_PUSH
#pragma enum pop;
#pragma pack(pop);
#endif

#endif // _WDECL_HPP_INCLUDED
