//
// weventl.hpp -- list of events...
//
// Note:  These events should be ordered roughly in order of priority
//

        WEVENT_DEF( BeforeProcessingEvent ),
        WEVENT_DEF( AfterProcessingEvent ),
        WEVENT_DEF( MouseMoveEvent ),
        WEVENT_DEF( GetCursorEvent ),
        WEVENT_DEF( GotFocusEvent ),
        WEVENT_DEF( LostFocusEvent ),
        WEVENT_DEF( ValidateEvent ),
        WEVENT_DEF( PositionChangingEvent ),
        WEVENT_DEF( SizeChangingEvent ),
        WEVENT_DEF( PositionChangedEvent ),
        WEVENT_DEF( EraseBackgroundEvent ),
        WEVENT_DEF( PaintEvent ),
        WEVENT_DEF( NonClientPaintEvent ),
        WEVENT_DEF( ResizeEvent ),
        WEVENT_DEF( NotifyEvent ),
        WEVENT_DEF( CommandEvent ),
        WEVENT_DEF( SystemCommandEvent ),
        WEVENT_DEF( ControlColorEvent ),
        WEVENT_DEF( NeedToolTipTextEvent ),
        WEVENT_DEF( MoveEvent ),
        WEVENT_DEF( ScrollEvent ),
        WEVENT_DEF( UpdateEvent ),
        WEVENT_DEF( ChangeEvent ),
        WEVENT_DEF( PaletteChangedEvent ),
        WEVENT_DEF( QueryNewPaletteEvent ),
        WEVENT_DEF( ClientRectChangeEvent ),
        WEVENT_DEF( ShowEvent ),
        WEVENT_DEF( HideEvent ),
    
        WEVENT_DEF( NullEvent ),
        WEVENT_DEF( UnknownEvent ),
        WEVENT_DEF( ClickEvent ),
        WEVENT_DEF( DoubleClickEvent ),
        WEVENT_DEF( LeftButtonUpEvent ),
        WEVENT_DEF( LeftButtonDownEvent ),
        WEVENT_DEF( LeftButtonDoubleEvent ),
        WEVENT_DEF( MiddleButtonUpEvent ),
        WEVENT_DEF( MiddleButtonDownEvent ),
        WEVENT_DEF( MiddleButtonDoubleEvent ),
        WEVENT_DEF( RightButtonUpEvent ),
        WEVENT_DEF( RightButtonDownEvent ),
        WEVENT_DEF( RightButtonDoubleEvent ),
        WEVENT_DEF( SelectEvent ),
        WEVENT_DEF( DropDownEvent ),
        WEVENT_DEF( DropDownSelectEvent ),
        WEVENT_DEF( SelectChangingEvent ),
        WEVENT_DEF( ContextMenuEvent ),
        WEVENT_DEF( DragContinueEvent ),
        WEVENT_DEF( DragDropEvent ),
        WEVENT_DEF( DragEndEvent ),
        WEVENT_DEF( DragEnterEvent ),
        WEVENT_DEF( DragFeedbackEvent ),
        WEVENT_DEF( DragLeaveEvent ),
        WEVENT_DEF( DragOverEvent ),
        WEVENT_DEF( DragStartEvent ),
        WEVENT_DEF( DragScrollEvent ),
        WEVENT_DEF( DragFillEvent ),
        WEVENT_DEF( InitializeEvent ),
        WEVENT_DEF( StartEvent ),
        WEVENT_DEF( RunEvent ),
        WEVENT_DEF( EndEvent ),
        WEVENT_DEF( QuerySiblingEvent ),
        WEVENT_DEF( PageSelectEvent ),
        WEVENT_DEF( PageUnselectEvent ),
        WEVENT_DEF( ApplyNowOrOKEvent ),
        WEVENT_DEF( OKEvent ),
        WEVENT_DEF( CancelEvent ),
        WEVENT_DEF( HelpEvent ),
        WEVENT_DEF( ContextHelpEvent ),
        WEVENT_DEF( BackEvent ),
        WEVENT_DEF( NextEvent ),
        WEVENT_DEF( FinishEvent ),
        WEVENT_DEF( QueryCancelEvent ),
        WEVENT_DEF( BeginLabelEditEvent ),
        WEVENT_DEF( EndLabelEditEvent ),
        WEVENT_DEF( ExpandEvent ),
        WEVENT_DEF( CollapseEvent ),
        WEVENT_DEF( MeasureItemEvent ),
        WEVENT_DEF( DrawItemEvent ),
        WEVENT_DEF( CompareItemEvent ),
        WEVENT_DEF( DeleteItemEvent ),
        WEVENT_DEF( InsertItemEvent ),
        WEVENT_DEF( DropFileEvent ),
        WEVENT_DEF( ColumnClickEvent ),
        WEVENT_DEF( UserEvent ),
        WEVENT_DEF( CloseEvent ),
        WEVENT_DEF( RightClickEvent ),
        WEVENT_DEF( MessageHookEvent ),
        WEVENT_DEF( CreateEvent ),
        WEVENT_DEF( DestroyEvent ),
        WEVENT_DEF( TimerEvent ),
        WEVENT_DEF( HitTestEvent ),
        WEVENT_DEF( KeyUpEvent ),
        WEVENT_DEF( KeyDownEvent ),
        WEVENT_DEF( SystemKeyDownEvent ),
        WEVENT_DEF( CharacterPressEvent ),
        WEVENT_DEF( MenuSelectEvent ),
        WEVENT_DEF( InitPopupMenuEvent ),
        WEVENT_DEF( InitMenuEvent ),
        WEVENT_DEF( PrivateMessageEvent ),
        WEVENT_DEF( MinimizeEvent ),
        WEVENT_DEF( MaximizeEvent ),
        WEVENT_DEF( RestoreEvent ),
        WEVENT_DEF( ActivateEvent ),
        WEVENT_DEF( DeactivateEvent ),
        WEVENT_DEF( ActivateApplicationEvent ),
        WEVENT_DEF( DeactivateApplicationEvent ),
        WEVENT_DEF( EnterIdleEvent ),
        WEVENT_DEF( EnterSizeMoveEvent ),
        WEVENT_DEF( ExitSizeMoveEvent ),
        WEVENT_DEF( CancelModeEvent ),
        WEVENT_DEF( PrintEvent ),
        WEVENT_DEF( PrintClientEvent ),
        WEVENT_DEF( FindReplaceEvent ),
        WEVENT_DEF( BeginOwnerDrawEvent ),
        WEVENT_DEF( EndOwnerDrawEvent ),
        WEVENT_DEF( DataAvailableEvent ),
        WEVENT_DEF( DataRequestEvent ),
        WEVENT_DEF( DataOpenEvent ),
        WEVENT_DEF( DataCloseEvent ),
        WEVENT_DEF( DataLookupItemEvent ),
        WEVENT_DEF( DataGuardRowEvent ),
        WEVENT_DEF( EndSessionEvent ),
        WEVENT_DEF( QueryEndSessionEvent ),
        WEVENT_DEF( ProcessAttachEvent ),
        WEVENT_DEF( ProcessDetachEvent ),
        WEVENT_DEF( ThreadAttachEvent ),
        WEVENT_DEF( ThreadDetachEvent ),
        WEVENT_DEF( NeedItemTextEvent ),
        WEVENT_DEF( CalculateSizeEvent ),
        WEVENT_DEF( MediaNotifyErrorEvent ),
        WEVENT_DEF( MediaNotifyMediaEvent ),
        WEVENT_DEF( MediaNotifyModeEvent ),
        WEVENT_DEF( MediaNotifyPosEvent ),
        WEVENT_DEF( MediaNotifySizeEvent ),
        WEVENT_DEF( AnimationStartEvent ),
        WEVENT_DEF( AnimationStopEvent ),
        WEVENT_DEF( ToolbarDragBeginEvent ),
        WEVENT_DEF( ToolbarDragEndEvent ),
        WEVENT_DEF( DeltaPositionEvent ),
        WEVENT_DEF( NewFileTypeEvent ),
        WEVENT_DEF( SharingViolationEvent ),
        WEVENT_DEF( InitializationDoneEvent ),
        WEVENT_DEF( FolderChangeEvent ),
        WEVENT_DEF( DockingChangeEvent ),
        WEVENT_DEF( CommonDialogPromptEvent ),

        // System events
        WEVENT_DEF( DeviceChangeEvent ),
        WEVENT_DEF( DisplayChangeEvent ),
        WEVENT_DEF( PowerBroadcastEvent ),
        WEVENT_DEF( SettingChangeEvent ),
        WEVENT_DEF( UserChangedEvent ),
        WEVENT_DEF( InputLangChangeEvent ),
        WEVENT_DEF( InputLangChangeRequestEvent ),
        WEVENT_DEF( SysColorChangeEvent ),
        WEVENT_DEF( SysDeadCharEvent ),
        
        // OLE specific events
        WEVENT_DEF( CanInplaceActivateEvent ),
        WEVENT_DEF( PropertyRequestEditEvent ),
        WEVENT_DEF( PropertyChangedEvent ),
        WEVENT_DEF( InplaceActivateEvent ),
        WEVENT_DEF( InplaceDeactivateEvent ),
        WEVENT_DEF( UIActivateEvent ),
        WEVENT_DEF( UIDeactivateEvent ),
        WEVENT_DEF( PosRectChangeEvent ),
        WEVENT_DEF( SetStatusTextEvent ),
        WEVENT_DEF( RequestBorderSpaceEvent ),
        WEVENT_DEF( SetBorderSpaceEvent ),
        WEVENT_DEF( GetBorderEvent ),
        WEVENT_DEF( ViewChangeEvent ),
        WEVENT_DEF( UpdateExtentsEvent ),
        WEVENT_DEF( SimpleFramePreMessageFilterEvent ),
        WEVENT_DEF( SimpleFramePostMessageFilterEvent ),
        WEVENT_DEF( NewObjectEvent ),
        WEVENT_DEF( QueryInterfaceEvent ),
        WEVENT_DEF( AutomationErrorEvent ),
        WEVENT_DEF( PersistenceInitNewEvent ),
        WEVENT_DEF( PersistenceLoadEvent ),
        WEVENT_DEF( PersistenceSaveEvent ),
        WEVENT_DEF( PersistenceSaveCompletedEvent ),
        WEVENT_DEF( PersistenceHandsOffEvent ),
        WEVENT_DEF( PersistenceMaximumSizeEvent ),
        WEVENT_DEF( ShowWindowEvent ),

        WEVENT_DEF( ControlObjectsOnAmbientPropertyChangeEvent ),
        WEVENT_DEF( ControlObjectsCloseEvent ),
        WEVENT_DEF( ControlObjectsInitFromDataEvent ),
        WEVENT_DEF( ControlObjectsGetClipboardDataEvent ),
        WEVENT_DEF( ControlObjectsDoVerbEvent ),
        WEVENT_DEF( ControlObjectsEnumVerbsEvent ),
        WEVENT_DEF( ControlObjectsUpdateEvent ),
        WEVENT_DEF( ControlObjectsIsUpToDateEvent ),
        WEVENT_DEF( ControlObjectsOnMnemonicEvent ),
        WEVENT_DEF( ControlObjectsFreezeEventsEvent ),
        WEVENT_DEF( PropertyObjectsGetPagesEvent ),
        WEVENT_DEF( PropertyObjectsSetObjectsEvent ),
        WEVENT_DEF( PropertyObjectsApplyEvent ),
        WEVENT_DEF( PropertyObjectsTranslateAcceleratorEvent ),
        WEVENT_DEF( PropertyObjectsEditPropertyEvent ),
        WEVENT_DEF( ViewableObjectRenderEvent ),
        WEVENT_DEF( UDTObjectsEnumFormatEtcEvent ),
        WEVENT_DEF( HatchResizeEvent ),

        WEVENT_DEF( AboutToDestroyEvent ),

        // Database events

        WEVENT_DEF( ConnectEvent ),
        WEVENT_DEF( DisconnectEvent ),
        WEVENT_DEF( FetchDataEvent ),
        WEVENT_DEF( MoveCursorEvent ),
        WEVENT_DEF( AdjustCursorEvent ),
        WEVENT_DEF( ValidateDataEvent ),
        WEVENT_DEF( QueryBusyEvent ),
        WEVENT_DEF( BeginFetchDataEvent ),
        WEVENT_DEF( BeginMoveCursorEvent ),
        WEVENT_DEF( QueryOpenEvent ),
        WEVENT_DEF( QueryCloseEvent ),
        WEVENT_DEF( QueryPrepareEvent ),
        WEVENT_DEF( DatabaseErrorEvent ),
    
//
// End of list...
//
