// Design Time Java Button  implementation. (HPP)

#ifndef _DTJBUTN_HPP
#define _DTJBUTN_HPP

#include "dtjcomp.hpp"

class METAEXPORTCLASSDEF DTJButton : public DTJComponent 
{
    public:
        DTJButton( const MetaObject * pMetaObj );
        virtual ~DTJButton();

	//
	// DefaultStyle
	//
	//    The style with which new instances are created.  Default
	//    implementation returns GetWindow()->GetDefaultStyle().

	virtual WStyle		GetDefaultStyle() const;

        virtual void GenerateCode( MMCodeGeneration mmCodeGen,
				   ostream& src,
				   MMCodeGenerationParms& pGenParms );

	virtual WBool		Create( WWindow * parent, const WRect & r,
				        const WChar * text, WStyle style,
					WStyle exStyle, void * data = NULL,
					WBool isLoading = FALSE );
};

// needed for mdreader
typedef DTJButton DTjava__dot__awt__dot__Button__dot__102;
typedef WButton java__dot__awt__dot__Button__dot__102;

#endif // _DTJBUTN_HPP
