#ifndef _DTJCLTYP_HPP
#define _DTJCLTYP_HPP

#include <stddef.h>
#include "dttype.hpp"
#include "dttyped.hpp"
#include "dtjtyped.hpp"

class METAEXPORTCLASSDEF DTType_Color_Or_Null : public DTType_Color {
    public:
	DTType_Color_Or_Null( const MMType * imp );
	~DTType_Color_Or_Null();

	virtual WBool		    Textify( WString &, DT_Textify ) const;
	virtual WBool		    DeTextify( const WString &, DT_Textify );

	static DTType *		    Instantiate( const MMType * );
};

class METAEXPORTCLASSDEF DTType_JFont_Or_Null : public DTType_JFont {
    public:
	DTType_JFont_Or_Null( const MMType * imp );
	~DTType_JFont_Or_Null();

	virtual WBool		    Textify( WString &, DT_Textify ) const;
	virtual WBool		    DeTextify( const WString &, DT_Textify );

	static DTType *		    Instantiate( const MMType * );
};

class METAEXPORTCLASSDEF DTType_WChar_Or_Null : public DTType_WChar {
    public:
	DTType_WChar_Or_Null( const MMType * imp );
	~DTType_WChar_Or_Null();

	virtual WBool		    Textify( WString &, DT_Textify ) const;
	virtual WBool		    DeTextify( const WString &, DT_Textify );

	static DTType *		    Instantiate( const MMType * );
};

class METAEXPORTCLASSDEF DTType_WBool_Or_Null : public DTType_WBool {
    public:
	DTType_WBool_Or_Null( const MMType * imp );
	~DTType_WBool_Or_Null();

	virtual WBool		    Textify( WString &, DT_Textify ) const;
	virtual WBool		    DeTextify( const WString &, DT_Textify );

	static DTType *		    Instantiate( const MMType * );
};

class METAEXPORTCLASSDEF DTType_WShort_Or_Null : public DTType_WShort {
    public:
	DTType_WShort_Or_Null( const MMType * imp );
	~DTType_WShort_Or_Null();

	virtual WBool		    Textify( WString &, DT_Textify ) const;
	virtual WBool		    DeTextify( const WString &, DT_Textify );

	static DTType *		    Instantiate( const MMType * );
};

class METAEXPORTCLASSDEF DTType_WLong_Or_Null : public DTType_WLong {
    public:
	DTType_WLong_Or_Null( const MMType * imp );
	~DTType_WLong_Or_Null();

	virtual WBool		    Textify( WString &, DT_Textify ) const;
	virtual WBool		    DeTextify( const WString &, DT_Textify );

	static DTType *		    Instantiate( const MMType * );
};

#endif // _DTJCLTYP_HPP
