#ifndef _DTJFRAME11_HPP
#define _DTJFRAME11_HPP

#include "dtjwnd11.hpp"

class METAEXPORTCLASSDEF DTJFrame11 : public DTJWindow11
{
    public:
        DTJFrame11( const MetaObject * pMetaObj );
        virtual ~DTJFrame11();
        
        virtual void GenerateCode( MMCodeGeneration mmCodeGen,
				   ostream& src,
				   MMCodeGenerationParms& pGenParms );

	virtual void		AmendPopup( WPopupMenu *,
					WBool before );

    protected:
        virtual void GenerateExtraProperties( ostream& src,
				    MMJCodeGenerationParms* pGenParms ) const;

    private:
	WBool 	HandleMenuEditMenuClick( WMenuItem *, WEventData * );

    private:
    	WMenuItem *		_menuEditMenuItem;
};

// needed for mdreader
typedef DTJFrame11 DTjava__dot__awt__dot__Frame__dot__11;
typedef WFrame   java__dot__awt__dot__Frame__dot__11;

#endif // _DTJFRAME11_HPP
