// Design Time Java Socket implementation. (HPP)

#ifndef _DTJINET_HPP
#define _DTJINET_HPP

#include "dtjobjct.hpp"
                      
class METAEXPORTCLASSDEF DTJInternet : public DTJObject
{
    public:
        DTJInternet( const MetaObject * pMetaObj );
        virtual ~DTJInternet();
        
        virtual void GenerateCode( MMCodeGeneration mmCodeGen,
				   ostream& src,
				   MMCodeGenerationParms& parms );
                                  
        virtual WBool SetServerPort( WLong port );
        
        virtual WLong GetServerPort() const;
        
    protected:
    
        WLong _server_port;
};

extern WBool METAEXPORTDEF DP_JInetServerPort( const DTObject *, const MMBaseProperty * );

// needed for mdreader
typedef DTJInternet DTpowersoft__dot__powerj__dot__net__dot__Internet__dot__102;

#endif // _DTJINET_HPP
