#ifndef _DTJPANEL_HPP
#define _DTJPANEL_HPP

#include "dtjcont.hpp"

class METAEXPORTCLASSDEF DTJPanel : public DTJContainer
{
    public:
        DTJPanel( const MetaObject * pMetaObj );
        virtual ~DTJPanel();

	virtual void GenFileFragment( MMFileFragment fg, WStringList &,
				      MMFileGenerationParms * parms ) const;

        virtual void GenerateCode( MMCodeGeneration mmCodeGen,
				   ostream& src,
				   MMCodeGenerationParms& pGenParms );

    protected:
        void GenerateHTML( ostream& src,
			   MMJCodeGenerationParms* pGenParms) const;
};

// needed for mdreader
typedef DTJPanel DTjava__dot__awt__dot__Panel__dot__102;

#endif // _DTJPANEL_HPP

