// Design Time Java Socket implementation. (HPP)

#ifndef _DTJSOCK_HPP
#define _DTJSOCK_HPP

#include "dtjobjct.hpp"
                      
class METAEXPORTCLASSDEF DTJSocket : public DTJObject
{
    public:
        DTJSocket( const MetaObject * pMetaObj );
        virtual ~DTJSocket();
        
        virtual void GenerateCode( MMCodeGeneration mmCodeGen,
				   ostream& src,
				   MMCodeGenerationParms& pGenParms );
};

extern WBool METAEXPORTDEF DP_JSockEnum( const DTObject *, const MMBaseProperty * );

// needed for mdreader
typedef DTJSocket DTpowersoft__dot__powerj__dot__net__dot__Socket__dot__102;

#endif // _DTJSOCK_HPP
