// Design Time Java Text Field implementation. (HPP)

#ifndef _DTJTEXTA_HPP
#define _DTJTEXTA_HPP

#include "dtjcomp.hpp"
#include "dtjtext.hpp"
                      
class METAEXPORTCLASSDEF DTJTextArea : public DTJTextComponent
{
    public:
        DTJTextArea( const MetaObject * pMetaObj );
        virtual ~DTJTextArea();

	virtual WBool		SetStyle( WStyle stl, WBool clone=FALSE );

	virtual void GenClassName( WString & className ) const;

    protected:
        virtual WStyle CheckExtraStyles(WStyle style);
};

// needed for mdreader
typedef DTJTextArea DTjava__dot__awt__dot__TextArea__dot__102;
typedef WTextBox java__dot__awt__dot__TextArea__dot__102;

#endif // _DTJTEXTA_HPP
