#ifndef _DTJWND_HPP
#define _DTJWND_HPP

#include "dtjcont.hpp"

extern const WChar * Tag_JFormAbsTop;
extern const WChar * Tag_JFormAbsLeft;
extern const WChar * Tag_JFormPositionType;

class METAEXPORTCLASSDEF DTJWindow : public DTJContainer
{
    public:
        DTJWindow( const MetaObject * pMetaObj );
        virtual ~DTJWindow();
        
	virtual WJavaObject* GetWJavaObject() const;

        virtual void GenCode( MMCodeGeneration mmCodeGen, WStringList & srcList ) const;

	enum JFormPositionType {
	    JFPT_Error       = 0,
	    JFPT_DesignTime  = 1,
	    JFPT_Absolute    = 2,
	};

	virtual JFormPositionType	GetFormPositionType();
};

// needed for mdreader
typedef DTJWindow DTjava__dot__awt__dot__Window__dot__102;

#endif // _DTJWND_HPP
