#ifndef _DTJWND11_HPP
#define _DTJWND11_HPP

#include "dtjcont11.hpp"

extern const WChar * Tag_JFormAbsTop;
extern const WChar * Tag_JFormAbsLeft;
extern const WChar * Tag_JFormPositionType;

class METAEXPORTCLASSDEF DTJWindow11 : public DTJContainer11
{
    public:
        DTJWindow11( const MetaObject * pMetaObj );
        virtual ~DTJWindow11();
        
	virtual WJavaObject* GetWJavaObject() const;

        virtual void GenCode( MMCodeGeneration mmCodeGen, WStringList & srcList ) const;

	enum JFormPositionType {
	    JFPT_Error       = 0,
	    JFPT_DesignTime  = 1,
	    JFPT_Absolute    = 2,
	};

	virtual JFormPositionType	GetFormPositionType();
};

// needed for mdreader
typedef DTJWindow11 DTjava__dot__awt__dot__Window__dot__11;

#endif // _DTJWND11_HPP
