//
// wcm.hpp
//

#ifndef _WCM_HPP_INCLUDED
#define _WCM_HPP_INCLUDED

#ifndef _WNO_PRAGMA_PUSH
#define _WNO_PRAGMA_PUSH
#pragma pack(push,8);
#pragma enum int;
#endif

#ifndef WCLASS_DEFINE_INDIVIDUAL
#define WCLASS_ACCELERATOR
#define WCLASS_ANIMATION
#define WCLASS_ARRAY
#define WCLASS_BASE
#define WCLASS_BITMAP
#define WCLASS_BRUSH
#define WCLASS_BUTTON
#define WCLASS_CALLBACK
#define WCLASS_CANVAS
#define WCLASS_CHECKBOX
#define WCLASS_COLOR
#define WCLASS_COLOR_DIALOG
#define WCLASS_COMMAND_BUTTON
#define WCLASS_COMBOBOX
#define WCLASS_CONSOLE
#define WCLASS_CONTROL
#define WCLASS_CURSOR
#define WCLASS_DEBUG
#define WCLASS_DEFINES
#define WCLASS_DIALOG
#define WCLASS_DOCKABLE_WINDOW
#define WCLASS_DRAW
#define WCLASS_ERROR
#define WCLASS_FILE_DIALOG
#define WCLASS_FILEPATH
#define WCLASS_FIND_DIALOG
#define WCLASS_FONT
#define WCLASS_FONT_DIALOG
#define WCLASS_FORM
#define WCLASS_FRAME
#define WCLASS_GLOBAL_MEMORY
#define WCLASS_GROUPBOX
#define WCLASS_HEADER
#define WCLASS_HOTKEY
#define WCLASS_ICON
#define WCLASS_IMAGE_LIST
#define WCLASS_KEYDEFS
#define WCLASS_LABEL
#define WCLASS_LIBRARY_MAIN
#define WCLASS_LISTBOX
#define WCLASS_LISTVIEW
#define WCLASS_LOCALE_ID
#define WCLASS_MDI_CHILD
#define WCLASS_MDI_PARENT
#define WCLASS_MEDIA
#define WCLASS_MENU
#define WCLASS_MENU_ITEM
#define WCLASS_MESSAGE
#define WCLASS_MESSAGE_DIALOG
#define WCLASS_MESSAGE_ID
#define WCLASS_METAFILE
#define WCLASS_MODULE
#define WCLASS_NOTEBOOK
#define WCLASS_OBJECT
#define WCLASS_OLE_GUID
#define WCLASS_OLE_BSTRING
#define WCLASS_OLE_AXSTRING
#define WCLASS_OLE_CONNECT
#define WCLASS_OLE_DISPATCH_HELPER
#define WCLASS_OLE_DOCUMENT
#define WCLASS_OLE_FONT
#define WCLASS_OLE_INITIALIZE
#define WCLASS_OLE_LOCK_SERVER
#define WCLASS_OLE_SERVER
#define WCLASS_OLE_APP_OBJECT
#define WCLASS_OLE_OBJECT
#define WCLASS_OLE_PARAMETER_LIST
#define WCLASS_OLE_PICTURE
#define WCLASS_OLE_RELEASE_INTERFACE
#define WCLASS_OPTION_BUTTON
#define WCLASS_ORDINAL
#define WCLASS_PAGESETUP_DIALOG
#define WCLASS_PALETTE
#define WCLASS_PEN
#define WCLASS_PICTURE_BOX
#define WCLASS_PICTURE_BUTTON
#define WCLASS_POINT
#define WCLASS_POPUP_MENU
#define WCLASS_PRINT_DATA
#define WCLASS_PRINT_DIALOG
#define WCLASS_PROCESS
#define WCLASS_PROGRESS_BAR
#define WCLASS_PROPERTY_SHEET
#define WCLASS_RECTANGLE
#define WCLASS_REFERENCE_OBJECT
#define WCLASS_REGION
#define WCLASS_REGISTRY
#define WCLASS_RESOURCE_ID
#define WCLASS_RICH_EDIT
#define WCLASS_SCROLLBAR
#define WCLASS_SIZE
#define WCLASS_SLIDER
#define WCLASS_SPINBUTTON
#define WCLASS_SPLITBAR
#define WCLASS_STATIC
#define WCLASS_STATUSBAR
#define WCLASS_STRING
#define WCLASS_TEXTBOX
#define WCLASS_THREAD
#define WCLASS_TIMER
#define WCLASS_TOOLBAR
#define WCLASS_TOOLTIP
#define WCLASS_TREEVIEW
#define WCLASS_TEMPLATE
#define WCLASS_WELL
#define WCLASS_WINDOW
#define WCLASS_WINDOW_MAIN
#define WCLASS_WIZARD
#endif // WCLASS_DEFINE_INDIVIDUAL

#define STRICT

#ifdef WCLASS_DEFINES
#ifndef _WDEF_HPP_INCLUDED
#  include "wdef.hpp"
#endif
#endif

#ifdef WCLASS_DEBUG
#ifndef _WDEBUG_HPP_INCLUDED
#  include "wdebug.hpp"
#endif
#endif

#ifdef WCLASS_BASE
#ifndef _WBASECL_HPP_INCLUDED
#  include "wbasecl.hpp"
#endif
#endif

#ifdef WCLASS_OBJECT
#ifndef _WOBJECT_HPP_INCLUDED
#  include "wobject.hpp"
#endif
#endif

#ifdef WCLASS_ACCELERATOR
#ifndef _WACCEL_HPP_INCLUDED
#  include "waccel.hpp"
#endif
#endif

#ifdef WCLASS_ANIMATION
#ifndef _WANIMATE_HPP_INCLUDED
#  include "wanimate.hpp"
#endif
#endif

#ifdef WCLASS_ARRAY
#ifndef _WARRAY_HPP_INCLUDED
#  include "warray.hpp"
#endif
#endif

#ifdef WCLASS_BITMAP
#ifndef _WBITMAP_HPP_INCLUDED
#  include "wbitmap.hpp"
#endif
#endif

#ifdef WCLASS_BRUSH
#ifndef _WBRUSH_HPP_INCLUDED
#  include "wbrush.hpp"
#endif
#endif

#ifdef WCLASS_BUTTON
#ifndef _WBUTTON_HPP_INCLUDED
#  include "wbutton.hpp"
#endif
#endif

#ifdef WCLASS_CALLBACK
#ifndef _WCALLBCK_HPP_INCLUDED
#  include "wcallbck.hpp"
#endif
#endif

#ifdef WCLASS_CANVAS
#ifndef _WCANVAS_HPP_INCLUDED
#  include "wcanvas.hpp"
#endif
#endif

#ifdef WCLASS_CHECKBOX
#ifndef _WCHECKBX_HPP_INCLUDED
#  include "wcheckbx.hpp"
#endif
#endif

#ifdef WCLASS_COLOR
#ifndef _WCOLOR_HPP_INCLUDED
#  include "wcolor.hpp"
#endif
#endif

#ifdef WCLASS_COLOR_DIALOG
#ifndef _WCOLRDLG_HPP_INCLUDED
#  include "wcolrdlg.hpp"
#endif
#endif

#ifdef WCLASS_COMBOBOX
#ifndef _WCOMBOX_HPP_INCLUDED
#  include "wcombox.hpp"
#endif
#endif

#ifdef WCLASS_CONSOLE
#ifndef _WCONSOLE_HPP_INCLUDED
#  include "wconsole.hpp"
#endif

#endif
#ifdef WCLASS_CONTROL
#ifndef _WCONTROL_HPP_INCLUDED
#  include "wcontrol.hpp"
#endif
#endif

#ifdef WCLASS_CURSOR
#ifndef _WCURSOR_HPP_INCLUDED
#  include "wcursor.hpp"
#endif
#endif

#ifdef WCLASS_DIALOG
#ifndef _WDIALOG_HPP_INCLUDED
#  include "wdialog.hpp"
#endif
#endif

#ifdef WCLASS_DOCKABLE_WINDOW
#ifndef _WDOCK_HPP_INCLUDED
#  include "wdock.hpp"
#endif
#endif

#ifdef WCLASS_DRAW
#ifndef _WDRAW_HPP_INCLUDED
#  include "wdraw.hpp"
#endif
#endif

#ifdef WCLASS_ERROR
#ifndef _WERROR_HPP_INCLUDED
#  include "werror.hpp"
#endif
#endif

#ifdef WCLASS_FILE_DIALOG
#ifndef _WFILEDIALOG_HPP_INCLUDED
#  include "wfiledlg.hpp"
#endif
#endif

#ifdef WCLASS_FIND_DIALOG
#ifndef _WFINDDLG_HPP_INCLUDED
#  include "wfinddlg.hpp"
#endif
#endif

#ifdef WCLASS_FONT
#ifndef _WFONT_HPP_INCLUDED
#  include "wfont.hpp"
#endif
#endif

#ifdef WCLASS_FONT_DIALOG
#ifndef _WFONTDLG_HPP_INCLUDED
#  include "wfontdlg.hpp"
#endif
#endif

#ifdef WCLASS_FORM
#ifndef _WFORM_HPP_INCLUDED
#  include "wform.hpp"
#endif
#endif

#ifdef WCLASS_FRAME
#ifndef _WFRAME_HPP_INCLUDED
#  include "wframe.hpp"
#endif
#endif

#ifdef WCLASS_GLOBAL_MEMORY
#ifndef _WGLOBALM_HPP_INCLUDED
#  include "wglobalm.hpp"
#endif
#endif

#ifdef WCLASS_GROUPBOX
#ifndef _WGROUPBX_HPP_INCLUDED
#  include "wgroupbx.hpp"
#endif
#endif

#ifdef WCLASS_HEADER
#ifndef _WHEADER_HPP_INCLUDED
#  include "wheader.hpp"
#endif
#endif

#ifdef WCLASS_HOTKEY
#ifndef _WHOTKEY_HPP_INCLUDED
#  include "whotkey.hpp"
#endif
#endif

#ifdef WCLASS_ICON
#ifndef _WICON_HPP_INCLUDED
#  include "wicon.hpp"
#endif
#endif

#ifdef WCLASS_IMAGE_LIST
#ifndef _WIMGLIST_HPP_INCLUDED
#  include "wimglist.hpp"
#endif
#endif

#ifdef WCLASS_KEYDEFS
#ifndef _WKEYDEFS_HPP_INCLUDED
#  include "wkeydefs.hpp"
#endif
#endif

#ifdef WCLASS_LABEL
#ifndef _WLABEL_HPP_INCLUDED
#  include "wlabel.hpp"
#endif
#endif

#ifdef WCLASS_LIBRARY_MAIN
#ifndef _WLIBMAIN_HPP_INCLUDED
#  include "wlibmain.hpp"
#endif
#endif

#ifdef WCLASS_LISTBOX
#ifndef _WLISTBOX_HPP_INCLUDED
#  include "wlistbox.hpp"
#endif
#endif

#ifdef WCLASS_LISTVIEW
#ifndef _WLISTVW_HPP_INCLUDED
#  include "wlistvw.hpp"
#endif
#endif

#ifdef WCLASS_LOCALE_ID
#ifndef _WLOCALE_HPP_INCLUDED
#  include "wlocale.hpp"
#endif
#endif

#ifdef WCLASS_MDI_CHILD
#ifndef _WMDICHLD_HPP_INCLUDED
#  include "wmdichld.hpp"
#endif
#endif

#ifdef WCLASS_MDI_PARENT
#ifndef _WMDIPRT_HPP_INCLUDED
#  include "wmdiprt.hpp"
#endif
#endif

#ifdef WCLASS_MEDIA
#ifndef _WMEDIA_HPP_INCLUDED
#  include "wmedia.hpp"
#endif
#endif

#ifdef WCLASS_MENU
#ifndef _WMENU_HPP_INCLUDED
#  include "wmenu.hpp"
#endif
#endif

#ifdef WCLASS_MENU_ITEM
#ifndef _WMENUITM_HPP_INCLUDED
#  include "wmenuitm.hpp"
#endif
#endif

#ifdef WCLASS_MESSAGE
#ifndef _WMESSAGE_HPP_INCLUDED
#  include "wmessage.hpp"
#endif
#endif

#ifdef WCLASS_MESSAGE_DIALOG
#ifndef _WMSGDLG_HPP_INCLUDED
#  include "wmsgdlg.hpp"
#endif
#endif

#ifdef WCLASS_MESSAGE_ID
#ifndef _WMSGID_HPP_INCLUDED
#  include "wmsgid.hpp"
#endif
#endif

#ifdef WCLASS_METAFILE
#ifndef _WMETAFIL_HPP_INCLUDED
#  include "wmetafil.hpp"
#endif
#endif

#ifdef WCLASS_MODULE
#ifndef _WMODULE_HPP_INCLUDED
#  include "wmodule.hpp"
#endif
#endif

#ifdef WCLASS_NOTEBOOK
#ifndef _WTABCTRL_HPP_INCLUDED
#  include "wtabctrl.hpp"
#endif
#endif

#ifdef WCLASS_PAGESETUP_DIALOG
#ifndef _WPAGEDLG_HPP_INCLUDED
#  include "wpagedlg.hpp"
#endif
#endif

#ifdef WCLASS_PALETTE
#ifndef _WPALETTE_HPP_INCLUDED
#  include "wpalette.hpp"
#endif
#endif

#ifdef WCLASS_PEN
#ifndef _WPEN_HPP_INCLUDED
#  include "wpen.hpp"
#endif
#endif

#ifdef WCLASS_PICTURE_BOX
#ifndef _WPICTBOX_HPP_INCLUDED
#  include "wpictbox.hpp"
#endif
#endif

#ifdef WCLASS_PICTURE_BUTTON
#ifndef _WPICBUTTON_HPP_INCLUDED
#  include "wpicbttn.hpp"
#endif
#endif

#ifdef WCLASS_POINT
#ifndef _WPOINT_HPP_INCLUDED
#  include "wpoint.hpp"
#endif
#endif

#ifdef WCLASS_POPUP_MENU
#ifndef _WPOPMENU_HPP_INCLUDED
#  include "wpopmenu.hpp"
#endif
#endif

#ifdef WCLASS_PRINT_DATA
#ifndef _WPRTDATA_HPP_INCLUDED
#  include "wprtdata.hpp"
#endif
#endif

#ifdef WCLASS_PRINT_DIALOG
#ifndef _WPRTDLG_HPP_INCLUDED
#  include "wprtdlg.hpp"
#endif
#endif

#ifdef WCLASS_PROCESS
#ifndef _WPROCESS_HPP_INCLUDED
#  include "wprocess.hpp"
#endif
#endif

#ifdef WCLASS_PROGRESS_BAR
#ifndef _WPROGRESSBAR_HPP_INCLUDED
#  include "wprogbar.hpp"
#endif
#endif

#ifdef WCLASS_PROPERTY_SHEET
#ifndef _WPROPSHT_HPP_INCLUDED
#  include "wpropsht.hpp"
#endif
#endif

#ifdef WCLASS_COMMAND_BUTTON
#ifndef _WCOMBTTN_HPP_INCLUDED
#  include "wcombttn.hpp"
#endif
#endif

#ifdef WCLASS_OLE_SERVER
#ifndef _WOAPPLIC_HPP_INCLUDED
#  include "woapplic.hpp"
#endif
#ifndef _WOLECFAC_HPP_INCLUDED
#  include "wolecfac.hpp"
#endif
#ifndef _WOLEIFAM_HPP_INCLUDED
#  include "woleifam.hpp"
#endif
#ifndef _WOLESOBJ_HPP_INCLUDED
#  include "wolesobj.hpp"
#endif
#ifndef _WOLESTOR_HPP_INCLUDED
#  include "wolestor.hpp"
#endif
#ifndef _WOLEDISP_HPP_INCLUDED
#  include "woledisp.hpp"
#endif
#endif

#ifdef WCLASS_OLE_DOCUMENT
#ifndef _WOLEFORM_HPP_INCLUDED
#  include "woleform.hpp"
#endif
#endif

#ifdef WCLASS_OLE_FONT
#ifndef _WOLEFONT_HPP_INCLUDED
#  include "wolefont.hpp"
#endif
#endif

#ifdef WCLASS_OLE_INITIALIZE
#ifndef _WOLEINIT_HPP_INCLUDED
#  include "woleinit.hpp"
#endif
#endif

#ifdef WCLASS_OLE_BSTRING
#ifndef _WOLEBSTR_HPP_INCLUDED
#  include "wolebstr.hpp"
#endif
#endif

#ifdef WCLASS_OLE_AXSTRING
#ifndef _WAXSTRING_HPP_INCLUDED
#  include "waxstring.hpp"
#endif
#endif

#ifdef WCLASS_OLE_APP_OBJECT
#ifndef _WOLEAOBJ_HPP_INCLUDED
#  include "woleaobj.hpp"
#endif
#endif

#ifdef WCLASS_OLE_OBJECT
#ifndef _WOLEOBJ_HPP_INCLUDED
#  include "woleobj.hpp"
#endif
#ifndef _WOLEPOBJ_HPP_INCLUDED
#  include "wolepobj.hpp"
#endif
#endif

#ifdef WCLASS_OLE_PARAMETER_LIST
#ifndef _WOLEPARM_HPP_INCLUDED
#  include "woleparm.hpp"
#endif
#endif

#ifdef WCLASS_OLE_PICTURE
#ifndef _WOLEPICT_HPP_INCLUDED
#  include "wolepict.hpp"
#endif
#endif

#ifdef WCLASS_OLE_RELEASE_INTERFACE
#ifndef _WOLERLS_HPP_INCLUDED
#  include "wolerls.hpp"
#endif
#endif

#ifdef WCLASS_OLE_LOCK_SERVER
#ifndef _WOLELOCK_HPP_INCLUDED
#  include "wolelock.hpp"
#endif
#endif

#ifdef WCLASS_OLE_DISPATCH_HELPER
#ifndef _WDSPHLPR_HPP_INCLUDED
#  include "wdsphlpr.hpp"
#endif
#endif

#ifdef WCLASS_OPTION_BUTTON
#ifndef _WOPTBTTN_HPP_INCLUDED
#  include "woptbttn.hpp"
#endif
#endif

#ifdef WCLASS_RECTANGLE
#ifndef _WRECT_HPP_INCLUDED
#  include "wrect.hpp"
#endif
#endif

#ifdef WCLASS_REFERENCE_OBJECT
#ifndef _WREFOBJ_HPP_INCLUDED
#  include "wrefobj.hpp"
#endif
#endif

#ifdef WCLASS_REGION
#ifndef _WREGION_HPP_INCLUDED
#  include "wregion.hpp"
#endif
#endif

#ifdef WCLASS_REGISTRY
#ifndef _WREGISTR_HPP_INCLUDED
#  include "wregistr.hpp"
#endif
#endif

#ifdef WCLASS_RESOURCE_ID
#ifndef _WRESID_HPP_INCLUDED
#  include "wresid.hpp"
#endif
#endif

#ifdef WCLASS_RICH_EDIT
#ifndef _WRICHEDT_HPP_INCLUDED
#  include "wrichedt.hpp"
#endif
#endif

#ifdef WCLASS_SCROLLBAR
#ifndef _WSCROLLB_HPP_INCLUDED
#  include "wscrollb.hpp"
#endif
#endif

#ifdef WCLASS_SIZE
#ifndef _WSIZE_HPP_INCLUDED
#  include "wsize.hpp"
#endif
#endif

#ifdef WCLASS_SLIDER
#ifndef _WSLIDER_HPP_INCLUDED
#  include "wslider.hpp"
#endif
#endif

#ifdef WCLASS_SPINBUTTON
#ifndef _WUPDOWN_HPP_INCLUDED
#  include "wupdown.hpp"
#endif
#endif

#ifdef WCLASS_SPLITBAR
#ifndef WSPLITB_HPP_INCLUDED
#  include "wsplitb.hpp"
#endif
#endif

#ifdef WCLASS_STATIC
#ifndef _WSTATIC_HPP_INCLUDED
#  include "wstatic.hpp"
#endif
#endif

#ifdef WCLASS_STATUSBAR
#ifndef _WSTATUS_HPP_INCLUDED
#  include "wstatus.hpp"
#endif
#endif

#ifdef WCLASS_STRING
#ifndef _WSTRING_HPP_INCLUDED
#  include "wstring.hpp"
#endif
#endif

#ifdef WCLASS_FILEPATH
#ifndef _WFILPATH_HPP_INCLUDED
#  include "wfilpath.hpp"
#endif
#endif

#ifdef WCLASS_TEXTBOX
#ifndef _WTEXTBOX_HPP_INCLUDED
#  include "wtextbox.hpp"
#endif
#endif

#ifdef WCLASS_THREAD
#ifndef _WTHREAD_HPP_INCLUDED
#  include "wthread.hpp"
#endif
#endif

#ifdef WCLASS_TIMER
#ifndef _WTIMER_HPP_INCLUDED
#  include "wtimer.hpp"
#endif
#endif

#ifdef WCLASS_TOOLBAR
#ifndef _WTOOLBAR_HPP_INCLUDED
#  include "wtoolbar.hpp"
#endif
#endif

#ifdef WCLASS_TOOLTIP
#ifndef _WTOOLTIP_HPP_INCLUDED
#  include "wtooltip.hpp"
#endif
#endif

#ifdef WCLASS_TREEVIEW
#ifndef _WTREEVW_HPP_INCLUDED
#  include "wtreevw.hpp"
#endif
#endif

#ifdef WCLASS_WELL
#ifndef _WWELL_HPP_INCLUDED
#  include "wwell.hpp"
#endif
#endif

#ifdef WCLASS_WINDOW
#ifndef _WWINDOW_HPP_INCLUDED
#  include "wwindow.hpp"
#endif
#endif

#ifdef WCLASS_WINDOW_MAIN
#ifndef _WWINMAIN_HPP_INCLUDED
#  include "wwinmain.hpp"
#endif
#endif

#ifdef WCLASS_WIZARD
#ifndef _WWIZARD_HPP_INCLUDED
#  include "wwizard.hpp"
#endif
#endif

#ifndef NO_WCM_DATABASE_SUPPORT

#include "wdataobj.hpp"
#include "wdatasrc.hpp"
#include "wquery.hpp"
#include "wtransac.hpp"
#include "wdatanav.hpp"

#endif

#include "wptd.hpp"
#include "wmasktb.hpp"

#include "woptima.hpp"

//
// Keep this last...
//

#include "wnew.hpp"

#ifdef _WNO_PRAGMA_PUSH
#undef _WNO_PRAGMA_PUSH
#pragma enum pop;
#pragma pack(pop);
#endif

#endif
