/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1994, by WATCOM International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of WATCOM International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*/

/*************************************************************************
 *
 * WFrame -- Wrapper for the Windows 95 Static Frame control.
 *
 *   Events:
 *
 *************************************************************************/

#ifndef _WFRAME_HPP_INCLUDED
#define _WFRAME_HPP_INCLUDED

#ifndef _WNO_PRAGMA_PUSH
#pragma pack(push,8);
#pragma enum int;
#endif

#ifndef _WSTATIC_HPP_INCLUDED
#  include "wstatic.hpp"
#endif

//
// Frame styles
//

#define WFSDefault     ((WStyle)0x50000012L) // WS_VISIBLE|SS_ETCHEDFRAME|WS_CHILD

class WCMCLASS WFrame : public WStatic {
    WDeclareSubclass( WFrame, WStatic );

    public:
    
        /**********************************************************
         * Constructors and Destructors
         *********************************************************/
    
        WFrame();
    
        ~WFrame();
    
        /**********************************************************
         * Properties
         *********************************************************/
    
        /**********************************************************
         * Methods
         *********************************************************/
    
        /**********************************************************
         * Overrides
         *********************************************************/
    
        virtual WStyle GetDefaultStyle() const;
};

#ifndef _WNO_PRAGMA_PUSH
#pragma enum pop;
#pragma pack(pop);
#endif

#endif // _WFRAME_HPP_INCLUDED
