/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1994, by WATCOM International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of WATCOM International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*/

/*************************************************************************
 *
 * WGroupBox -- Wrapper for the Windows 95 Static GroupBox control.
 *
 *   Events:
 *
 *************************************************************************/

#ifndef _WGROUPBOX_HPP_INCLUDED
#define _WGROUPBOX_HPP_INCLUDED

#ifndef _WNO_PRAGMA_PUSH
#pragma pack(push,8);
#pragma enum int;
#endif

#ifndef _WCONTROL_HPP_INCLUDED
#  include "wcontrol.hpp"
#endif

//
// GroupBox styles
//

#define WGSDefault ((WStyle)0x50000007L) // WS_VISIBLE|BS_GROUPBOX|WS_CHILD

class WCMCLASS WGroupBox : public WControl {
    WDeclareSubclass( WGroupBox, WControl );
    
    public:

        /**********************************************************
         * Constructors and Destructors
         *********************************************************/
    
        WGroupBox();
    
        ~WGroupBox();

        /**********************************************************
         * Properties
         *********************************************************/
    
        /**********************************************************
         * Methods
         *********************************************************/
    
        /**********************************************************
         * Data members
         *********************************************************/
    
    public:

        virtual const WChar * InitializeClass();
        virtual WStyle GetDefaultStyle() const;
};

#ifndef _WNO_PRAGMA_PUSH
#pragma enum pop;
#pragma pack(pop);
#endif

#endif // _WGROUPBOX_HPP_INCLUDED
