/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   %     Copyright (C) 1994, by WATCOM International Inc.  All rights    %
   %     reserved.  No part of this software may be reproduced or        %
   %     used in any form or by any means - graphic, electronic or       %
   %     mechanical, including photocopying, recording, taping or        %
   %     information storage and retrieval systems - except with the     %
   %     written permission of WATCOM International Inc.                 %
   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*/

/*************************************************************************
 *
 * WKeyboardLayoutID --
 *
 *************************************************************************/

#ifndef _WKEYBLAY_HPP_INCLUDED
#define _WKEYBLAY_HPP_INCLUDED

#ifndef _WNO_PRAGMA_PUSH
#pragma pack(push,8);
#pragma enum int;
#endif

#ifndef _WOBJECT_HPP_INCLUDED
#  include "wobject.hpp"
#endif


class WCMCLASS WKeyboardLayoutID : public WObject {
    WDeclareSubclass( WKeyboardLayoutID, WObject );
    
    public:

        /*********************************************************
         * Constructors and destructors
         *********************************************************/

        WKeyboardLayoutID();
        ~WKeyboardLayoutID();

        /*********************************************************
         * Methods
         *********************************************************/

        WBool Create();

        /*********************************************************
         * Properties
         *********************************************************/

        WString GetID();

    protected:

        void  Clean();


        /*********************************************************
         * Data members
         *********************************************************/

    private:

        WString _layoutID;
};


#ifndef _WNO_PRAGMA_PUSH
#pragma enum pop;
#pragma pack(pop);
#endif

#endif // _WKEYBLAY_HPP_INCLUDED

