// 
// wsize.inl
// 
       
#ifdef WCMINLINE
 
WCMINLINE WSize::WSize( const SIZE & o ) 
/***************************************/
{ w = o.cx; h = o.cy; }

WCMINLINE SIZE WSize::GetSIZE() const 
/************************************/
{ SIZE s; s.cx = w; s.cy = h; return s; }

WCMINLINE void WSize::SetSIZE( const SIZE & s ) 
/**********************************************/
{ w = s.cx; h = s.cy; }

WCMINLINE void WSize::Create( const SIZE & o ) 
/*********************************************/
{ w = o.cx; h = o.cy; }

WCMINLINE void WSize::Offset( WInt nw, WInt nh ) 
/**********************************************/
{ w += nw; h += nh; }

WCMINLINE void WSize::Offset( const WSize & sz ) 
/***********************************************/
{ w += sz.w; h += sz.h; }

WCMINLINE int WSize::operator==( const WSize & o ) const
/******************************************************/
{ return ( w == o.w && h == o.h ); }

WCMINLINE int WSize::operator!=( const WSize & o ) const
/******************************************************/
{ return ( w != o.w || h != o.h ); }

WCMINLINE WSize & WSize::operator=( const SIZE & o )
/**************************************************/
{ w = o.cx; h = o.cy; return *this; }

WCMINLINE WSize WSize::operator+( const WSize & o )
/*************************************************/
{ WSize sz( *this ); sz.w += o.w; sz.h += o.h; return sz; }

WCMINLINE WSize WSize::operator-( const WSize & o )
/*************************************************/
{ WSize sz( *this ); sz.w -= o.w; sz.h -= o.h; return sz; }

WCMINLINE WSize & WSize::operator+=( const WSize & o )
/****************************************************/
{ w += o.w; h += o.h; return *this; }

WCMINLINE WSize & WSize::operator-=( const WSize & o )
/****************************************************/
{ w -= o.w; h -= o.h; return *this; }
    
#endif
        
