// Design Time Java Button  implementation. (HPP)

#ifndef _DTJBUTN11_HPP
#define _DTJBUTN11_HPP

#include "dtjcomp11.hpp"

class METAEXPORTCLASSDEF DTJButton11 : public DTJComponent11
{
    public:
        DTJButton11( const MetaObject * pMetaObj );
        virtual ~DTJButton11();

	//
	// DefaultStyle
	//
	//    The style with which new instances are created.  Default
	//    implementation returns GetWindow()->GetDefaultStyle().

	virtual WStyle		GetDefaultStyle() const;

        virtual void GenerateCode( MMCodeGeneration mmCodeGen,
				   ostream& src,
				   MMCodeGenerationParms& pGenParms );

	virtual WBool		Create( WWindow * parent, const WRect & r,
				        const WChar * text, WStyle style,
					WStyle exStyle, void * data = NULL,
					WBool isLoading = FALSE );
};

// needed for mdreader
typedef DTJButton11 DTjava__dot__awt__dot__Button__dot__11;
typedef WButton java__dot__awt__dot__Button__dot__11;

#endif // _DTJBUTN11_HPP
