#ifndef _DTJCLASS_HPP
#define _DTJCLASS_HPP

#include "dtjobjct.hpp"

struct MMJFileGenerationParms;

class METAEXPORTCLASSDEF DTJClassObject : public DTJObject {
    public:
        DTJClassObject( const MetaObject * meta );
	VEXPORT void GenClassName( WString & ) const;
	virtual WString DTGetName() const;
	WBool CreateEventPopupMenu( WPopupMenu * popup );
};

class METAEXPORTCLASSDEF DTJClassVisualObject : public DTJClassObject {
    public:
        DTJClassVisualObject( const MetaObject * meta );

	void GenerateAdd( const WString & objPrefix, ostream& src,
			     MMCodeGenerationParms& pGenParms );

	void GenerateCreate( const WString & objPrefix, ostream& src,
			     MMCodeGenerationParms& pGenParms );

	virtual void GenerateCode( MMCodeGeneration mmCodeGen,
				   ostream& src,
				   MMCodeGenerationParms& pGenParms );

	virtual WBool Create( WWindow * parent, const WRect & r,
			      const WChar * text, WStyle style,
			      WStyle exStyle, void * data = NULL,
			      WBool isLoading = FALSE );
};

// needed for mdreader
typedef DTJClassObject DTpowersoft__dot__jcm__dot__ui__dot__JClassObject;
typedef DTJClassVisualObject DTpowersoft__dot__jcm__dot__ui__dot__JClassVisualObject;

#endif // _DTJCLASS_HPP
