#ifndef _DTJFRAME_HPP
#define _DTJFRAME_HPP

#include "dtjwnd.hpp"

class METAEXPORTCLASSDEF DTJFrame : public DTJWindow
{
    public:
        DTJFrame( const MetaObject * pMetaObj );
        virtual ~DTJFrame();
        
        virtual void GenerateCode( MMCodeGeneration mmCodeGen,
				   ostream& src,
				   MMCodeGenerationParms& pGenParms );

	virtual void		AmendPopup( WPopupMenu *,
					WBool before );

    protected:
        virtual void GenerateExtraProperties( ostream& src,
				    MMJCodeGenerationParms* pGenParms ) const;

    private:
	WBool 	HandleMenuEditMenuClick( WMenuItem *, WEventData * );

    private:
    	WMenuItem *		_menuEditMenuItem;
};

// needed for mdreader
typedef DTJFrame DTjava__dot__awt__dot__Frame__dot__102;
typedef WFrame   java__dot__awt__dot__Frame__dot__102;

#endif // _DTJFRAME_HPP
