// Design Time Java Text Field implementation. (HPP)

#ifndef _DTJTEXTF_HPP
#define _DTJTEXTF_HPP

#include "dtjcomp.hpp"
#include "dtjtext.hpp"
                      
class METAEXPORTCLASSDEF DTJTextField : public DTJTextComponent
{
    public:
        DTJTextField( const MetaObject * pMetaObj );
        virtual ~DTJTextField();

	virtual WBool		SetStyle( WStyle stl, WBool clone=FALSE );

        virtual void GenerateCode( MMCodeGeneration mmCodeGen,
				   ostream& src,
				   MMCodeGenerationParms& pGenParms );

	virtual void GenClassName( WString & className ) const;

    protected:
        virtual WStyle CheckExtraStyles(WStyle style);
};

// needed for mdreader
typedef DTJTextField DTjava__dot__awt__dot__TextField__dot__102;
typedef WTextBox java__dot__awt__dot__TextField__dot__102;

#endif // _DTJTEXTF_HPP
