// Design Time Java Text Field implementation. (HPP)

#ifndef _DTJTEXTF11_HPP
#define _DTJTEXTF11_HPP

#include "dtjcomp11.hpp"
#include "dtjtext11.hpp"
                      
class METAEXPORTCLASSDEF DTJTextField11 : public DTJTextComponent11
{
    public:
        DTJTextField11( const MetaObject * pMetaObj );
        virtual ~DTJTextField11();

	virtual WBool		SetStyle( WStyle stl, WBool clone=FALSE );

        virtual void GenerateCode( MMCodeGeneration mmCodeGen,
				   ostream& src,
				   MMCodeGenerationParms& pGenParms );

	virtual void GenClassName( WString & className ) const;

    protected:
        virtual WStyle CheckExtraStyles(WStyle style);
};

// needed for mdreader
typedef DTJTextField11 DTjava__dot__awt__dot__TextField__dot__11;
typedef WTextBox java__dot__awt__dot__TextField__dot__11;

#endif // _DTJTEXTF11_HPP
